# Class Controller

#### Hierarchy

- Controller

- Defined in src/layertree/timeSliderComponent.js:153

#####
Index

### Properties

dates
isModeRange
maxValue
minValue
ngeoDebounce_
ngeoWMSTime_
onDateSelected
sliderOptions
time
timeValueList

### Methods

getLocalizedDate
getTimeValueList_
init

## Properties

### dates

dates: number | number[]

Model for the ui-slider directive (date in ms format)

- Defined in src/layertree/timeSliderComponent.js:222
- Defined in src/layertree/timeSliderComponent.js:246
- Defined in src/layertree/timeSliderComponent.js:249

### isModeRange

isModeRange: boolean

If the component is used to select a date range

- Defined in src/layertree/timeSliderComponent.js:183
- Defined in src/layertree/timeSliderComponent.js:235

### maxValue

maxValue: number

Maximal value of the slider (time in ms)

- Defined in src/layertree/timeSliderComponent.js:197
- Defined in src/layertree/timeSliderComponent.js:237

### minValue

minValue: number

Minimal value of the slider (time in ms)

- Defined in src/layertree/timeSliderComponent.js:190
- Defined in src/layertree/timeSliderComponent.js:236

### ngeoDebounce_

ngeoDebounce_: miscDebounce<(() => void)>

- Defined in src/layertree/timeSliderComponent.js:162

### ngeoWMSTime_

ngeoWMSTime_: WMSTime

- Defined in src/layertree/timeSliderComponent.js:157

### onDateSelected

onDateSelected: ((arg0: unknown) => unknown)

#### Type declaration

- - (arg0: unknown): unknown

  - Function called after date(s) changed/selected

    #### Parameters

    - ##### arg0: unknown

    #### Returns unknown

- Defined in src/layertree/timeSliderComponent.js:169

### sliderOptions

sliderOptions: {
max: number;
min: number;
range: boolean;
}

Default Slider options (used by ui-slider directive)

#### Type declaration

- ##### max: number

- ##### min: number

- ##### range: boolean

- Defined in src/layertree/timeSliderComponent.js:215
- Defined in src/layertree/timeSliderComponent.js:252

### time

time: TimeProperty

A time object for directive initialization

- Defined in src/layertree/timeSliderComponent.js:176

### timeValueList

timeValueList: number[]

Used when WMS time object has a property 'values' instead of an interval

- Defined in src/layertree/timeSliderComponent.js:204
- Defined in src/layertree/timeSliderComponent.js:251

## Methods

### getLocalizedDate

- getLocalizedDate(time: number): string

- Format and localize time regarding a resolution.

  ### Returns

  Localized date string regarding the resolution.

  #### Parameters

  - ##### time: number

    (in ms format) timestamp to format and localize.

  #### Returns string

  - Defined in src/layertree/timeSliderComponent.js:400

### getTimeValueList_

- getTimeValueList_(): number[]

- TimeSliderController.prototype.getTimeValueList_ - Get a list of time value instead of using the wmstime interval as a list of possibles values

  ### Returns

  - List of timestamp representing possible values

  #### Returns number[]

  - Defined in src/layertree/timeSliderComponent.js:267

### init

- init(): void

- Initialize the controller.

  #### Returns void

  - Defined in src/layertree/timeSliderComponent.js:228

Generated using TypeDoc